package com.css.simulation.resource.scheduler.infra.db.mysql.mapper;

import api.common.pojo.po.scene.SceneComplexityPO;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;


@Mapper
public interface SceneComplexityMapper {

    @Insert( "insert into simulation.scene_complexity (complexity_id, scene_id, scene_type, rule_id, task_id, complexity, complexity_level, is_deleted, create_user_id, create_time)" +
    " values (#{complexityId,jdbcType=VARCHAR}, #{sceneId,jdbcType=VARCHAR}, #{sceneType,jdbcType=VARCHAR},#{ruleId,jdbcType=VARCHAR},#{taskId,jdbcType=VARCHAR}, #{complexity,jdbcType=VARCHAR},#{complexityLevel,jdbcType=VARCHAR},#{isDeleted,jdbcType=VARCHAR},#{createUserId,jdbcType=VARCHAR}, #{createTime}")
    void saveSceneComplexity(SceneComplexityPO params);

}
